//Inoputs/Outputs
int X_pin = 6;     
int Y_pin = 5;     
int Pot = A0;

int point_delay = 1000;  
#define how_many_vertices  80


unsigned char x_axis[how_many_vertices] = {
  9, 9, 3, 9, 4, 9, 6, 9, 7, 10,
  13, 11, 14, 11, 16, 11, 17, 11, 11, 19,
  21, 19, 23, 21, 23, 24, 27, 28, 28, 30,
  32, 32, 33, 33, 36, 36, 33, 36, 36, 37,
  40, 40, 37, 37, 40, 39, 37, 37, 37, 35,
  34, 34, 31, 31, 31, 34, 30, 30, 27, 27,
  27, 30, 26, 26, 26, 23, 23, 26, 23, 23,
  22, 22, 22, 19, 19, 19, 11, 17, 11, 11   
  };


unsigned char y_axis[how_many_vertices] = {
  3, 6, 6, 10, 10, 14, 14, 17, 17, 19,
  17,17, 14, 14, 10, 10, 6, 6, 3, 3, 
  6, 8, 3, 6, 8, 6, 6, 3, 8, 6,
  8, 3, 3, 8, 8, 6, 6, 6, 3, 3,
  3, 5, 5, 8, 8, 15, 13, 10, 13, 15,
  15, 13, 13, 10, 15, 15, 15, 13, 13, 10,
  15, 15, 15, 10, 13, 13, 15, 15, 15, 10,
  10, 15, 13, 13, 15, 10, 10, 6, 6, 3
  };







  

void setup()
{
  pinMode(Pot,INPUT);
  pinMode(X_pin, OUTPUT);
  pinMode(Y_pin, OUTPUT);

  // The following sets the PWM clock to maximum on the Arduino(no CPU clock division)
  // DO NOT CHANGE THESE UNLESS YOU KNOW WHAT YOU ARE DOING!
  
  TCCR0A = (  1<<COM0A1 | 0<<COM0A0 |   // clear OC0A on compare match (hi-lo PWM)
    1<<COM0B1 | 0<<COM0B0 |   // clear OC0B on compare match (hi-lo PWM)
    1<<WGM01  | 1<<WGM00);    // set PWM lines at 0xFF

  TCCR0B = (  0<<FOC0A | 0<<FOC0B |   // no force compare match
    0<<WGM02 |      // set PWM lines at 0xFF
    0<<CS02  | 0<<CS01 |    // use system clock (no divider)
    1<<CS00 );

  TIMSK0 = (  0<<OCIE0B | 0<<TOIE0 |
    0<<OCIE0A );  

}

void loop()
{ 
    point_delay = map(analogRead(Pot),0,1024,10,2000);
    unsigned char loop_counter;
    for(loop_counter = 0; loop_counter < how_many_vertices; loop_counter++)   
    {
      analogWrite(X_pin, x_axis[loop_counter]);
      analogWrite(Y_pin, y_axis[loop_counter]);
      delayMicroseconds(point_delay);   
    }
}
